﻿using System;
using System.Collections.Generic;

namespace EsempioFlyweight
{
    class Program
    {
        static void Main(string[] args)
        {
            Panel panel = new Panel();
            panel.Add(new FileDescriptor("bin", "folder"));
            panel.Add(new FileDescriptor("doc", "folder"));
            panel.Add(new FileDescriptor("helpers", "folder"));
            panel.Add(new FileDescriptor("ReadMe", "txtDocument"));
            panel.Add(new FileDescriptor("Note", "txtDocument"));
            panel.Add(new FileDescriptor("Help", "txtDocument"));
            panel.Add(new FileDescriptor("Dati", "datDocument"));
            panel.Add(new FileDescriptor("ReleaseNotes", "txtDocument"));
            panel.Draw();

            Console.WriteLine("Active Flyweights:");
            foreach (IFlyweight icon in FlyweightFactory.GetFlyweights())
                Console.WriteLine("  {0}", icon);

            Console.ReadLine();
        }
    }
}
